unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, HTMLHelpViewer, HelpFile;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Application.HelpFile := ExtractFilePath(Application.ExeName) +
    'HelpFile\HelpFile.chm';
  Label1.Caption:= Application.HelpFile;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  HtmlHelp(0, Application.HelpFile, HH_DISPLAY_TOC, 0);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  HtmlHelp(0, Application.HelpFile, HH_DISPLAY_INDEX, DWORD(PWideChar('Test')));
end;

procedure TForm1.Button3Click(Sender: TObject);
var
  Query: THH_Fts_QueryW;
begin
  with Query do
  begin
    cbStruct:= SizeOf(THH_Fts_QueryW);
    fUniCodeStrings:= True;
    pszSearchQuery:= '';
    iProximity:= 0;
    fStemmedSearch:= True;
    fTitleOnly:= False;
    fExecute:= True;
    pszWindow:= nil;
  end;
  HtmlHelp(0, Application.HelpFile, HH_DISPLAY_SEARCH, DWORD(@Query));
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  Application.HelpContext(IDH_TOPIC30);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  Application.HelpContext(IDH_TOPIC40);
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  Application.HelpKeyword('Test');
end;

end.
